Subject: Re: [netlmm] MTU Discuss on draft-ietf-netlmm-proxymip6 (fwd)

From: Sri Gundavelli <[email-masked]>
Date: Fri, 25 Apr 2008 18:45:22 -0700 (PDT)

FYI ...

Resolved the PMTU issue raised by Transport AD. We will add
the below points and close this DISCUSS.

Sri

---------- Forwarded message ----------
Date: Fri, 25 Apr 2008 13:33:09 +0200
From: Magnus Westerlund <[email-masked]>
To: Sri Gundavelli <[email-masked]>
Cc: "'Soininen Jonne (NSN FI/Espoo)'" <[email-masked]>,
     'Lars Eggert' <[email-masked]>, 'Jari Arkko' <[email-masked]>,
     [email-masked], [email-masked]
Subject: Re: MTU Discuss on draft-ietf-netlmm-proxymip6

Sri Gundavelli skrev:
>  Hi Magnus,
>
>
>
>  On Wed, 23 Apr 2008, Magnus Westerlund wrote:
> 
> > > 
> > >   Few points on this (not the exact text):
> > > 
> > >   - Local Mobility Anchor and Mobile Access Gateway SHOULD implement Path
> > >     MTU Discovery mechanisms as specified in [RFC-1191] or in [RFC-4821].
> > > 
> > >   - These mobility entities MAY use the dynamic discovery mechanisms
> > >     specified in these documents for detecting Path MTU (PMTU) between
> > >     them. However, this dynamic PMTU discovery mechanism MAY be omitted
> > >     if there is an administratively configured PMTU for the path to the
> > >     peer.
> > > 
> > >   - The PMTU (dynamically discovered or statically configured)
> > >     MUST be used for setting up the IPv6 tunnel MTU for the IPv6 tunnel
> > >     established between the LMA and MAG for forwarding the mobile node's
> > >     data traffic, as specified in Section 6.7 of
> > >     [RFC-2473].
> > > 
> > >   - Mobile Access Gateway MUST use this PMTU in the MTU option that it
> > >     sends in the Router Advertisements on the access link.
> > > 
> > > 
> > >   Please let me know if you are ok with this. 
> > 
> > 
> >  Hi, I am fine with the general requirement. What isn't clear is what 
> >  traffic the LMA and MAG is using to determine/probing for the available 
> >  MTU. Some clarification on how this intended to be done needs be included.
> >
>
>  The traffic between LMA and MAG can be
>
>  - PBU/PBA, an IPv6 packet with the mobility header
>  - Encapsulated user data, i.e., IPv6-IPv6 packet
>
>  So, either of this traffic or explicit application pings between LMA
>  and MAG can be used for PMTU discovery.
>

Okay, that sounds good. These changes they will appear in version 13 then?

Cheers

Magnus Westerlund

IETF Transport Area Director & TSVWG Chair
----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Färögatan 6                | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm